Package org.eclipse.m2m.atl.emftvm.util

# Class LazyList.InsertAtList.InsertAtIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
LazyCollection<E>.WrappedIterator
org.eclipse.m2m.atl.emftvm.util.LazyList.InsertAtList.InsertAtIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  LazyList.InsertAtList<E>

public class LazyList.InsertAtList.InsertAtIterator extends LazyCollection<E>.WrappedIterator
Inserts an element into the underlying collection at the given index. List index starts at 0.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`i`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator

`inner`

## Constructor Summary

Constructors
Constructor
Description
`InsertAtIterator()`
Creates a new `LazyList.InsertAtList<E>.InsertAtIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### i

protected int i

## Constructor Details

### InsertAtIterator

public InsertAtIterator()
Creates a new `LazyList.InsertAtList<E>.InsertAtIterator`.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection<E>.WrappedIterator`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Overrides:
  `next` in class `LazyCollection<E>.WrappedIterator`